package it.integry.integrywmsnative.gest.pv_ordine_acquisto_edit.ui;

import java.math.BigDecimal;

import it.integry.integrywmsnative.core.data_store.db.entity.ArticoloOrdine;

public class OrdineAcquistoArtListModel {

    private String badge1;
    private String description;
    private BigDecimal quantity;
    private String untMis;

    private ArticoloOrdine originalModel;

    public String getBadge1() {
        return badge1;
    }

    public OrdineAcquistoArtListModel setBadge1(String badge1) {
        this.badge1 = badge1;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public OrdineAcquistoArtListModel setDescription(String description) {
        this.description = description;
        return this;
    }

    public BigDecimal getQuantity() {
        return quantity;
    }

    public OrdineAcquistoArtListModel setQuantity(BigDecimal quantity) {
        this.quantity = quantity;
        return this;
    }

    public String getUntMis() {
        return untMis;
    }

    public OrdineAcquistoArtListModel setUntMis(String untMis) {
        this.untMis = untMis;
        return this;
    }

    public ArticoloOrdine getOriginalModel() {
        return originalModel;
    }

    public OrdineAcquistoArtListModel setOriginalModel(ArticoloOrdine originalModel) {
        this.originalModel = originalModel;
        return this;
    }
}
